package com.freesource.test;

import junit.framework.TestCase;
import javax.naming.InitialContext; 
import java.sql.*;
import com.freesource.utils.Util;
import com.freesource.security.*;

public class TestLogin extends TestCase {
	
	public Connection getConnection(){
		
		Connection connection = null;
		
		try{
		
			DriverManager.registerDriver(new org.gjt.mm.mysql.Driver());
			connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/test","admin","");
		 
		 }catch(Exception e){
		 	
		 	fail(e.toString());
		 }
		 return connection;
			
	}
	
	public void testConnection(){
		
		Connection connection = getConnection();
		Statement statement   = null;
		ResultSet resultset   = null;
		try{
			statement = connection.createStatement();
			resultset = statement.executeQuery("SELECT USERNAME,NOME,COGNOME,PASSWORD FROM USERS");
			connection.close();	
			
		}catch(Exception e){
			
			fail(e.toString());
			
		}
		
		try{resultset.close();}catch(Exception e){};
		try{statement.close();}catch(Exception e){};
		try{connection.close();}catch(Exception e){};
		
	}
	
	public static String byteToHex(byte b){
  		int i = b & 0xFF;  	 
  		return Integer.toHexString(i);
  	}

	
	public void testHash(){
	
		byte bt[]={1,-21,-54,12,54,-121,-1};
		String result = Util.toString(bt);
		byte btr[] = Util.toByte(result);
		
		assertEquals(result,Util.toString(btr));
		btr=new byte[]{0};
 		this.assertNotSame(result,Util.toString(btr));
		
	}
	
	public void testLoginPassword() {
 
		
		String passwords[]={"jonathan"};
		
		for (int n=0;n<passwords.length;n++){
			
			byte password[] = passwords[n].getBytes();			 
			byte encoded[] = AuthenticationUtil.createPassword(password,null);
			System.out.println("[" + Util.toString(encoded) + "]");
			this.assertTrue(AuthenticationUtil.verify(password,encoded));
		}
		this.assertFalse(AuthenticationUtil.verify("DSzzzzzzD".getBytes(),"DSzzzzzzDDSzzzzzzDDSzzzzzzD".getBytes()));
	}
	
 
 
}
