package com.freesource.utils;


public class Util {
	
	
	public static String toString (byte[] bytes){
	 
		String content = "";
		
		for(int i=0; i<bytes.length; i++){
		 
			int bt = bytes[i];
			if (bt < 0)	bt = bt + 256;
			String tmp = Integer.toHexString(bt);
			if (tmp.length() == 1) content = content + "0";
			content = content + tmp;
			
		}
		return content.toUpperCase();
		
	}   

	public static byte[] toByte (String hex){
	
		if (hex == null || hex.length() == 0) return null;
		int sz = hex.length() / 2;
		byte[] retValue = new byte[sz];
	 
		try{
			
			for (int n = 0; n < sz; n++){
	
				int index = n * 2;
				String byteString = hex.substring(index, index + 2).toLowerCase();
				retValue[n] =(byte)Integer.parseInt(byteString, 16);
			 
			}
			
			return retValue;
			
		}catch (Exception e){
			e.printStackTrace();
		}
		return null;
		
	}    

	
}
