package com.freesource.security;

import javax.naming.*; 
import javax.sql.DataSource;
import javax.naming.NamingException;
import java.sql.SQLException;
import com.freesource.bean.UserBean;
import com.freesource.utils.Util;
import com.freesource.constants.Constants;

import java.sql.*;

public class AuthenticationModule {
	
	private String username = null;
	private byte password[] = null;
	
	public AuthenticationModule(String username,String password){
		
		this.username = username;
		this.password = password.getBytes();
				
	}
	
	

	public UserBean login() throws AuthenticationException,Exception{
		
	 	UserBean userBean = null;
		boolean result = false;
		Connection connection = null;
		Statement  statement  = null;
		ResultSet  resultset  = null;
		byte dbpassword[]     = null;
		int errorcode = -1;
	 	try{
		
			InitialContext initCtx = new InitialContext();
			DataSource mysqlds= (DataSource)initCtx.lookup(Constants.JNDI_DATA_SOURCE_NAME);
		
			
			connection =  mysqlds.getConnection();
			statement  = connection.createStatement();
		 	resultset   = statement.executeQuery("SELECT USERNAME,NOME,COGNOME,PASSWORD FROM USERS WHERE USERNAME='" + username + "'");
			if (resultset.next()){
				
				dbpassword = Util.toByte(resultset.getString("PASSWORD"));			
				result = AuthenticationUtil.verify(password,dbpassword);
				
				if (result){
					
				  	userBean = new UserBean();
					userBean.setCognome(resultset.getString("COGNOME"));
					userBean.setNome(resultset.getString("NOME"));
					String newPassword = Util.toString(AuthenticationUtil.createPassword( password,dbpassword));
					String updateQuery="UPDATE USERS SET PASSWORD='" + newPassword + "' WHERE USERNAME='" + username + "'";
					statement.executeUpdate(updateQuery);
				
					
				}else errorcode = AuthenticationException.INVALID_PASSWORD;
				
				
			}else{
				
				errorcode = AuthenticationException.USERS_NOT_EXIST;
			}
			 
	 
		}catch(Exception e){
			
			e.printStackTrace();
			throw e;
				
		}finally{
			
			try{resultset.close() ;resultset  = null;}catch(Exception ee){};
			try{statement.close() ;statement  = null;}catch(Exception ee){};
			try{connection.close();connection = null;}catch(Exception ee){};
			
		}
		
		if (errorcode>-1) throw new AuthenticationException(errorcode);
		return userBean;
		   		
	 
	}
	
}
